# ~/.virtualenvs/learning/python


def convert_to_uppercase(function):
    """ will convert to uppercase """
    def wrapper():
        func = function()
        make_uppercase = func.upper()
        return make_uppercase


# @convert_to_uppercase
def hello():
    """ print hello world """
    return 'hello world'


say_HELLO = convert_to_uppercase(hello)

print(say_HELLO())